> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all access tokens (admin view)

GET https://api.contentful.com/organizations/{organization_id}/access_tokens

Returns redacted CMA tokens for all members of the organization; accessible to admins and owners only. Supports the same date-range filters as the personal access tokens endpoint.

Reference: https://contentful.com/developers/docs/references/content-management-api/access-tokens/get-all-access-tokens-admin-view

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — organization_id identifier

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "revokedAt": null,
      "scopes": [
        "content_management_manage"
      ],
      "sys": {
        "createdAt": "2025-05-25T08:01:42.000Z",
        "expiresAt": null,
        "id": "exampletokenid",
        "lastUsedAt": null,
        "redactedValue": "TmTU",
        "type": "PersonalAccessToken",
        "updatedAt": "2025-05-25T08:01:42.000Z",
        "user": {
          "sys": {
            "id": "7uqvFPPLzgtVaezGvjA9U6",
            "linkType": "User",
            "type": "Link"
          }
        }
      }
    }
  ],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getOrganizationAccessTokens('<organization-id>')
.then((response) => console.log(response.items))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = createClient({
  accessToken: '<content_management_api_key>'
})

await client.accessToken.getManyForOrganization({
  organizationId: '<organization_id>',
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.

// Note that the actual access tokens will not be a part of the response.
// It is only available during creation for security reasons.
var tokens = client.GetAllManagementTokens();
```